<?xml version="1.0"?>
<root
  xmlns="http://panopainter.com/layout.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>

  <layout id="progress-bar">
    <border positioning="absolute" position="0 0" color=".4 .4 .4 .8" width="100%" height="100%" align="center" justify="center">
      <border id="body" thickness="1" border-color=".2" pad="3">
        <border width="400" height="30" color=".2 .2 .2 .9" dir="row" align="center" justify="center">
          <text id="title" text="Just a test message"></text>
        </border>
        <border width="400" color="0 0 0 .9" pad="10" dir="col">
          <node height="40" grow="1" dir="row" align="flex-end" justify="flex-end">
            <border width="50" height="30" grow="1" margin="0 10 0 0" color=".2">
              <border id="progress" width="50%" color="1 0 0 1" height="30"/>
            </border>
            <button id="btn-cancel" text="Cancel" width="60" height="30"/>
          </node>
        </border>
      </border>
    </border>
  </layout>

</root>
